### Function

# Camel time_value_apply

since: 3.24

#### Declaration [src]

    time_t
    camel_time_value_apply (
      time_t src_time,
      CamelTimeUnit unit,
      gint value
    )

#### Description [src]

Applies the given time `value` in unit `unit` to the `src_time`. Use negative value to subtract it. The time part is rounded to the beginning of the day.

Available since: 3.24

#### Parameters

`src_time`

  Type: `time_t`

  A time_t to apply the value to, or -1 to use the current time.

`unit`

  Type: `CamelTimeUnit`

  A `CamelTimeUnit`.

`value`

  Type: `gint`

  A value to apply.

#### Return value

Type: `time_t`

`src_time` modified by the given parameters as date, with the time part being beginning of the day.